<?php

namespace Drupal\ckeditor_quran\Plugin\CKEditorPlugin;

use Drupal\ckeditor\CKEditorPluginBase;
use Drupal\editor\Entity\Editor;

/**
 * Defines the "quran" plugin.
 *
 * @CKEditorPlugin(
 *   id = "quran",
 *   label = @Translation("Quran")
 * )
 */
 
 class ckeditor_quran extends CKEditorPluginBase {

  /**
   * {@inheritdoc}
   */
  public function getFile() {
    return 'quran/plugin.js';
  }

  /**
   * {@inheritdoc}
   */
  public function getButtons() {
    return [
      'Quran' => [
        'label' => t('Quran'),
        'image' => 'quran/icons/quran.png',
      ],
    ];
  }

  /**
   * {@inheritdoc}
   */
  public function getConfig(Editor $editor) {
    return [];
  }

}
